<?php
include ('elevation-theme.php');
// Lexique
$param = '';
include('./module/geophoto/lang/'. $this->getData(['config', 'i18n', 'langAdmin']) . '/lex_geophoto.php');

// Gestion des données
    $path = $_SERVER['SCRIPT_FILENAME'];
    $trail = explode('/index.php',$path);
    $root = $trail[0];
    $firstKey = key($module::$pictures);
    $url = dirname(helper::baseUrl(false) . $firstKey);
    $picpath = explode('/source/',$url);
    $picdir = end($picpath);
    $path_files = $root.'/site/file/source';
    $url_thumb = str_replace('source', 'thumb', $url);
    $path_thumb = str_replace('source', 'thumb', $path_files);
    $datas_json = $path_files.'/'.$picdir.'/'.'datas.json';
    $gpx_search = glob($path_files.'/'.$picdir.'/*.gpx',GLOB_NOCHECK);
    $gpx_found = basename($gpx_search[0]);
    $gpx_found_abs_url = $url.'/'.$gpx_found;
    $gpx_found_rel_url = $path_files.'/'.$picdir.'/'.$gpx_found;
    if (file_exists($gpx_found_rel_url)) {
	$valid = array('-', '_','.');
	if (!ctype_alnum(str_replace($valid, '', $gpx_found))) {
		$nommage = geophoto::formate($gpx_found_rel_url);
		$new_gpx_name = rename($gpx_found_rel_url,$nommage);
		echo '<script>document.location.reload(false);</script>';
	}
}
// Création de la base de données
if (!file_exists($datas_json)) {
    $tab  = array();
    $exif_present = false;
	$img_jpeg = ['jp**','JP**'];
    foreach ($img_jpeg as $jpeg) {
		foreach (glob($path_files.'/'.$picdir.'/*.'.$jpeg) as $filename) {
			$size = getimagesize($filename);
			if ($size[0]>$size[1]) { $width = '240'; } else { $width = '135'; }
			if (function_exists('exif_read_data') && mime_content_type($filename) == 'image/jpeg') {
			$exif = @exif_read_data($filename);
			if(isset($exif['GPSLongitude'][0])) {
				$exif_present = true;
				$lon = geophoto::getGps($exif['GPSLongitude'], $exif['GPSLongitudeRef']);
				$lat = geophoto::getGps($exif['GPSLatitude'], $exif['GPSLatitudeRef']);
				if (($lon != 0) && ($lat != 0) && ($lon != $lat)) {
				$name = basename($filename);
				$tab['file'][] = array('name' => $name, 'width' => $width, 'lon' => $lon, 'lat' => $lat);
				}
			}
		}
	}
}
    if ((count($tab)) > 0) {
		file_put_contents($datas_json, json_encode($tab));
    }
}// !file existe datas-json

if (file_exists($datas_json)) {
// lecture des coordonnées
$tab = json_decode(file_get_contents($datas_json), true);
?>
<!-- Affichage -->
<script src="core/vendor/geolocation/leaflet/leaflet.js"></script>
<script src="core/vendor/geolocation/leaflet/leaflet-ui.js"></script>
<script src="core/vendor/geolocation/leaflet/leaflet.markercluster.js"></script>
<script src="core/vendor/geolocation/leaflet/leaflet-elevation.js"></script>
<div class="row" id="geonavig">
	<div class="col12">
<a href="<?=helper::baseUrl() . $this->getUrl(0).'/'.$this->getUrl(1)?>#galerie" onclick="showhide();" class="geotrack button buttonGrey"><?php  echo $text['geophoto_view']['gallery'][1]; ?></a>
	</div>
</div>
<div id="geophoto">
<div id="mapdiv"></div>
<?php
if ($gpx_found != '*.gpx') {
?>
<div id="elevation-div"></div>
<?php
}
?>
<script>
var opts = {
    elevationControl: {
        url: '<?=$gpx_found_abs_url?>',
        options: {
            theme: 'delta-theme',
            collapsed: false,
            detached: true,
            elevationDiv: '#elevation-div',
            followMarker: false,
            imperial: false,
            reverseCoords: false,
            summary: 'line',
        },
    },
    layersControl: {
        options: {
            collapsed: false,
        },
    },
};

var mymap = new L.Map('mapdiv', {
	mapTypeIds: ['satellite', 'topo'],
	mapTypeId: 'topo',
	center: [42.7990,-0.5900],
	zoom: 8,
	maxZoom: 16,
	gestureHandling: false,
	zoomControl: true,
	pegmanControl: false,
	locateControl: false,
	fullscreenControl: true,
	resizerControl: true,
	layersControl: false,
	minimapControl: true,
	editInOSMControl: true,
	loadingControl: true,
	searchControl: true,
	disableDefaultUI: false, //affichage des cartes
});

var markers = L.markerClusterGroup();
var MyIcon = L.Icon.extend({
    options: {
       iconSize:     [38, 38],
       iconAnchor:   [22, 22],
       popupAnchor:  [-3, -12]
    }
});
var PixIcon = new MyIcon({
    iconUrl: 'core/vendor/geolocation/images/appareil-photo.png',
});

<?php
// Création des "markers"
if (isset($tab['file'])) {
    foreach( $tab['file'] as $key => $val ) {
        $img = $val;
        $url_img = file_exists($path_files.'/'.$picdir.'/'.$img['name']) ? $url.'/'.$img['name'] : null;
        $name_thumb = 'gpr-'.strtolower($img['name']);
        $url_mini = $url_thumb.'/'.$name_thumb;
        $path_mini = $path_thumb.'/'.$picdir.'/'.$name_thumb;
        $width = $img['width'];
		$interdits = ['_','-'];
		$autorise = ' ';
		$clean_name = str_replace(strrchr($img['name'],'.'),'',str_replace($interdits,$autorise,$img['name']));
// Gestion de la suppression de photo géotaguée
if (null == $url_img) {
	if (file_exists($datas_json)) {
	unlink($datas_json);
	}
	if (file_exists($path_mini)) {
	unlink($path_mini);
	}
		echo'document.getElementById(\'mapdiv\').innerHTML=\'<div id="missing_pic">'.$text['geophoto_view']['gallery'][2].'</span></div>\';';
	}
        echo "var marker = L.marker([$img[lat],$img[lon]], {icon: PixIcon}).bindPopup('<div style=\"width:".$width."px;\"><a class=\"popimg\" data-lity href=\"".$url_img."\" title=\"".$clean_name."\"><img src=\"".$url_mini."\" alt=\"".$clean_name."\"></a></div>', {maxWidth: ".$width."-5});\n";

        echo "marker.on('mouseover', function (e) {
            this.openPopup();
        });
        markers.addLayer(marker);\n\n";
    }
}
?>
mymap.addLayer(markers);//vignettes
<?php
if ($gpx_found != '*.gpx') {
	$lang = $this->getData(['config', 'i18n', 'langBase']);
	if( $this->getInput('DELTA_I18N_SITE') !== '' && $this->getInput('DELTA_I18N_SITE') !== null && $this->getInput('DELTA_I18N_SITE') !== 'base') $lang = $this->getInput('DELTA_I18N_SITE');
?>
var controlElevation = L.control.elevation(opts.elevationControl.options);
var controlLayer = L.control.layers(null, null, opts.layersControl.options);

controlElevation.addTo(mymap);
controlElevation.load(opts.elevationControl.url);

  // localisation
  var mylocale = {
    "Total Length: ": "<?=$text['geophoto_view']['gallery'][3]?>: ",
    "Max Elevation: ": "<?=$text['geophoto_view']['gallery'][4]?>: ",
    "Min Elevation: ": "<?=$text['geophoto_view']['gallery'][5]?>: ",
    "Altitude": "<?=$text['geophoto_view']['gallery'][6]?>"
  };

  L.registerLocale('<?=$lang?>', mylocale);
  L.setLocale('<?=$lang?>');

mymap.on('eledata_loaded', function(e) {
    if (!controlLayer._map) controlLayer.addTo(mymap);
    controlLayer.addOverlay(e.layer, e.name);
});
<?php } ?>
mymap.fitBounds(markers.getBounds());
</script>
</div>
<!-- *************************** Galerie *************************** -->
<div id="galerie" style="display: none;">
<?php } else { ?>
<div id="galerie">
<?php }
 $i = 1;
 $picturesNb = count($module::$pictures);
 foreach($module::$pictures as $picture => $legend):
	 if($i % 6 === 1): ?>
		<div class="row">
	 <?php endif; ?>
		<div class="col2 gallery">
			<a href="<?=$picture?>"<?php if ( $picture === $this->getdata(['module',$this->getUrl(0),$this->getUrl(1),'config','homePicture']) )  { echo ' id="homePicture"'; }	?> class="galleryGalleryPicture" style="background-image:url('<?=$module::$thumbs[$picture]?>')" data-caption="<?=$legend?>" title="<?=str_replace(strrchr($picture,'.'),'',basename(str_replace('_',' ',$picture)))?>">
			<?php if (!empty($legend)):
			echo '<div class="galleryGalleryName">';
				$shortenedLegend = helper::subword($legend, 0, 20);
				if ( strlen($shortenedLegend) < strlen($legend) ) $legend = $shortenedLegend.'...';
				echo $legend;
			echo '</div>';
			endif; ?></a>
			</div>
	<?php if($i % 6 === 0 OR $i === $picturesNb): ?>
		</div>
	<?php endif;
	$i++;
	endforeach; ?>
</div><!-- /galerie -->
<div id="infos">
<?php
// texte informatif
$infos = $path_files.'/'.$picdir.'/'.'infos';
$infos_txt = $infos.'.txt';
$infos_htm = $infos.'.htm';
if (file_exists($infos_txt)) {
	echo '<p>'.nl2br(file_get_contents($infos_txt)).'</p>';
}
elseif (file_exists($infos_htm)) {
	readfile($infos_htm);
}
?>
</div>
<div class="row back">
	<div class="col2">
		<?php echo template::button('galleryGalleryBack', [
			'class' => 'buttonGrey backbutt',
			'href' => helper::baseUrl() . $this->getUrl(0),
			'ico' => 'left',
			'value' => $text['geophoto_view']['gallery'][0]
		]); ?>
	</div>
</div>
